Restore an environment snapshot
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/backups/{backupId}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_name": "<string>",
"branch_from": "<string>",
"restore_code": true,
"restore_resources": true,
"resources": {}
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/backups/{backupId}/restore"
payload = {
"environment_name": "<string>",
"branch_from": "<string>",
"restore_code": True,
"restore_resources": True,
"resources": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment_name: '<string>',
branch_from: '<string>',
restore_code: true,
restore_resources: true,
resources: {}
})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/backups/{backupId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Environment Backups
Restore an environment snapshot
Restore a specific backup from an environment using the id
of the entry retrieved by the
Get backups list
endpoint.
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
backups
/
{backupId}
/
restore
Restore an environment snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on June 16, 2026
Was this page helpful?